Package org.apache.synapse.mediators.opa

## Class OPAConstants

- java.lang.Object
- - org.apache.synapse.mediators.opa.OPAConstants

-     public final class OPAConstants
      extends Object

  This class represents the constants that are used for OPA mediator

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ADDITIONAL_MC_PROPERTY_DIVIDER` |
    `static String` | `ADDITIONAL_MC_PROPERTY_PARAMETER` |
    `static String` | `ALLOW_ALL` |
    `static String` | `API_BASEPATH_STRING` |
    `static String` | `APPLICATION_JSON` |
    `static String` | `AUTHORIZATION_HEADER` |
    `static String` | `CONNECTION_TIMEOUT_PARAMETER` |
    `static String` | `CONTENT_TYPE_HEADER` |
    `static String` | `EMPTY_OPA_RESPONSE` |
    `static String` | `HOST_NAME_VERIFIER` |
    `static String` | `HTTP_METHOD_STRING` |
    `static String` | `HTTP_RESPONSE_STATUS_CODE` |
    `static String` | `HTTPS` |
    `static String` | `INPUT_KEY` |
    `static String` | `MAX_OPEN_CONNECTIONS_PARAMETER` |
    `static String` | `MAX_PER_ROUTE_PARAMETER` |
    `static String` | `OPA_POLICY_FAILURE_HANDLER_PARAMETER` |
    `static String` | `OPA_RESPONSE_DEFAULT_RULE` |
    `static String` | `OPA_RESPONSE_RESULT_KEY` |
    `static String` | `REQUEST_METHOD_KEY` |
    `static String` | `REQUEST_ORIGIN_KEY` |
    `static String` | `REQUEST_PATH_KEY` |
    `static String` | `REQUEST_TRANSPORT_HEADERS_KEY` |
    `static String` | `STRICT` |
    `static String` | `TRUST_STORE_LOCATION_SYSTEM_PROPERTY` |
    `static String` | `TRUST_STORE_PASSWORD_SYSTEM_PROPERTY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OPAConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTHORIZATION_HEADER

          public static final String AUTHORIZATION_HEADER

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE_HEADER

          public static final String CONTENT_TYPE_HEADER

      See Also:
        Constant Field Values

    - #### APPLICATION_JSON

          public static final String APPLICATION_JSON

      See Also:
        Constant Field Values

    - #### STRICT

          public static final String STRICT

      See Also:
        Constant Field Values

    - #### ALLOW_ALL

          public static final String ALLOW_ALL

      See Also:
        Constant Field Values

    - #### HOST_NAME_VERIFIER

          public static final String HOST_NAME_VERIFIER

      See Also:
        Constant Field Values

    - #### HTTPS

          public static final String HTTPS

      See Also:
        Constant Field Values

    - #### TRUST_STORE_PASSWORD_SYSTEM_PROPERTY

          public static final String TRUST_STORE_PASSWORD_SYSTEM_PROPERTY

      See Also:
        Constant Field Values

    - #### TRUST_STORE_LOCATION_SYSTEM_PROPERTY

          public static final String TRUST_STORE_LOCATION_SYSTEM_PROPERTY

      See Also:
        Constant Field Values

    - #### HTTP_METHOD_STRING

          public static final String HTTP_METHOD_STRING

      See Also:
        Constant Field Values

    - #### API_BASEPATH_STRING

          public static final String API_BASEPATH_STRING

      See Also:
        Constant Field Values

    - #### HTTP_RESPONSE_STATUS_CODE

          public static final String HTTP_RESPONSE_STATUS_CODE

      See Also:
        Constant Field Values

    - #### MAX_OPEN_CONNECTIONS_PARAMETER

          public static final String MAX_OPEN_CONNECTIONS_PARAMETER

      See Also:
        Constant Field Values

    - #### MAX_PER_ROUTE_PARAMETER

          public static final String MAX_PER_ROUTE_PARAMETER

      See Also:
        Constant Field Values

    - #### CONNECTION_TIMEOUT_PARAMETER

          public static final String CONNECTION_TIMEOUT_PARAMETER

      See Also:
        Constant Field Values

    - #### ADDITIONAL_MC_PROPERTY_PARAMETER

          public static final String ADDITIONAL_MC_PROPERTY_PARAMETER

      See Also:
        Constant Field Values

    - #### ADDITIONAL_MC_PROPERTY_DIVIDER

          public static final String ADDITIONAL_MC_PROPERTY_DIVIDER

      See Also:
        Constant Field Values

    - #### OPA_POLICY_FAILURE_HANDLER_PARAMETER

          public static final String OPA_POLICY_FAILURE_HANDLER_PARAMETER

      See Also:
        Constant Field Values

    - #### INPUT_KEY

          public static final String INPUT_KEY

      See Also:
        Constant Field Values

    - #### REQUEST_ORIGIN_KEY

          public static final String REQUEST_ORIGIN_KEY

      See Also:
        Constant Field Values

    - #### REQUEST_METHOD_KEY

          public static final String REQUEST_METHOD_KEY

      See Also:
        Constant Field Values

    - #### REQUEST_PATH_KEY

          public static final String REQUEST_PATH_KEY

      See Also:
        Constant Field Values

    - #### REQUEST_TRANSPORT_HEADERS_KEY

          public static final String REQUEST_TRANSPORT_HEADERS_KEY

      See Also:
        Constant Field Values

    - #### EMPTY_OPA_RESPONSE

          public static final String EMPTY_OPA_RESPONSE

      See Also:
        Constant Field Values

    - #### OPA_RESPONSE_RESULT_KEY

          public static final String OPA_RESPONSE_RESULT_KEY

      See Also:
        Constant Field Values

    - #### OPA_RESPONSE_DEFAULT_RULE

          public static final String OPA_RESPONSE_DEFAULT_RULE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OPAConstants

          public OPAConstants()